CatGraph on commons missing subcategories
Closed, ResolvedPublic

Restricted Application added a project: TCB-Team. · View Herald TranscriptAug 22 2017, 12:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@jkroll could you have a look?

Tobi_WMDE_SW moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.

After some investigation, I found that the data in CatGraph is actually OK. The problem was in the catgraph-jsonp tool which makes CatGraph queries available to JavaScript code. catgraph-jsonp has some logic to catch case errors in category title input. In an edge case involving spaces in titles, catgraph-jsonp erroneously fetches the page_id of a redirection page. This commit fixes it. It's already deployed.

Tobi_WMDE_SW closed this task as Resolved.Oct 10 2017, 9:28 AM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Oct 17 2017, 2:44 PM